Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph
Class EventSupport

    java.lang.Object
      de.grogra.graph.EventSupport

    public class EventSupport

extends java.lang.Object

An instance of `EventSupport` can be used in implementations of `Graph` for the management of event listeners and for dispatching of events.

Author:
  Ole Kniemeyer

Nested Class Summary
`class` | `EventSupport.Queue`

Constructor Summary
`EventSupport(ObjectMap objectListeners)`

Method Summary
`void` | `addAttributeChangeListener(AttributeChangeListener l)`
`void` | `addAttributeChangeListener(java.lang.Object object, boolean asNode, AttributeChangeListener l)`
`void` | `addChangeBoundaryListener(ChangeBoundaryListener l)`
`void` | `addEdgeChangeListener(EdgeChangeListener l)`
`void` | `addEdgeChangeListener(java.lang.Object object, boolean asNode, EdgeChangeListener l)`
`protected void` | `finalize()`
`void` | `fireAttributeChanged(java.lang.Object object, boolean asNode, Attribute a, FieldChain field, int[] indices, GraphState gs)`
`void` | `fireBeginChange(GraphState gs)`
`void` | `fireEdgeChanged(java.lang.Integer type, java.lang.Object[] listeners, java.lang.Object source, java.lang.Object target, java.lang.Object edgeSet, GraphState gs)`
`void` | `fireEdgeChanged(java.lang.Object source, java.lang.Object target, java.lang.Object edge, GraphState gs)`
`void` | `fireEndChange(GraphState gs)`
`void` | `removeAttributeChangeListener(AttributeChangeListener l)`
`void` | `removeAttributeChangeListener(java.lang.Object object, boolean asNode, AttributeChangeListener l)`
`void` | `removeChangeBoundaryListener(ChangeBoundaryListener l)`
`void` | `removeEdgeChangeListener(EdgeChangeListener l)`
`void` | `removeEdgeChangeListener(java.lang.Object object, boolean asNode, EdgeChangeListener l)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventSupport

    public EventSupport(ObjectMap objectListeners)

Method Detail

### addAttributeChangeListener

    public void addAttributeChangeListener(AttributeChangeListener l)

### addAttributeChangeListener

    public void addAttributeChangeListener(java.lang.Object object,
                                           boolean asNode,
                                           AttributeChangeListener l)

### addChangeBoundaryListener

    public void addChangeBoundaryListener(ChangeBoundaryListener l)

### addEdgeChangeListener

    public void addEdgeChangeListener(EdgeChangeListener l)

### addEdgeChangeListener

    public void addEdgeChangeListener(java.lang.Object object,
                                      boolean asNode,
                                      EdgeChangeListener l)

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `java.lang.Object`

### fireAttributeChanged

    public void fireAttributeChanged(java.lang.Object object,
                                     boolean asNode,
                                     Attribute a,
                                     FieldChain field,
                                     int[] indices,
                                     GraphState gs)

### fireBeginChange

    public void fireBeginChange(GraphState gs)

### fireEdgeChanged

    public void fireEdgeChanged(java.lang.Integer type,
                                java.lang.Object[] listeners,
                                java.lang.Object source,
                                java.lang.Object target,
                                java.lang.Object edgeSet,
                                GraphState gs)

### fireEdgeChanged

    public void fireEdgeChanged(java.lang.Object source,
                                java.lang.Object target,
                                java.lang.Object edge,
                                GraphState gs)

### fireEndChange

    public void fireEndChange(GraphState gs)

### removeAttributeChangeListener

    public void removeAttributeChangeListener(AttributeChangeListener l)

### removeAttributeChangeListener

    public void removeAttributeChangeListener(java.lang.Object object,
                                              boolean asNode,
                                              AttributeChangeListener l)

### removeChangeBoundaryListener

    public void removeChangeBoundaryListener(ChangeBoundaryListener l)

### removeEdgeChangeListener

    public void removeEdgeChangeListener(EdgeChangeListener l)

### removeEdgeChangeListener

    public void removeEdgeChangeListener(java.lang.Object object,
                                         boolean asNode,
                                         EdgeChangeListener l)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD